OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGeom

# IGESGeom_RuledSurface Class Reference

defines IGESRuledSurface, Type <118> Form <0-1>
in package IGESGeom
A ruled surface is formed by moving a line connecting points
of equal relative arc length or equal relative parametric
value on two parametric curves from a start point to a
terminate point on the curves. The parametric curves may be
points, lines, circles, conics, rational B-splines,
parametric splines or any parametric curve defined in
the IGES specification.

`#include <IGESGeom_RuledSurface.hxx>`

Inheritance diagram for IGESGeom_RuledSurface:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGeom_RuledSurface ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aCurve, const Handle(IGESData_IGESEntity)&anotherCurve, const Standard_Integer aDirFlag, const Standard_Integer aDevFlag)
| This method is used to set the fields of the class RuledSurface - aCurve : First parametric curve - anotherCurve : Second parametric curve - aDirFlag : Direction Flag 0 = Join first to first, last to last 1 = Join first to last, last to first - aDevFlag : Developable Surface Flag 1 = Developable 0 = Possibly not .
Standard_EXPORT void | SetRuledByParameter (const Standard_Boolean mode)
| Sets <me> to be Ruled by Parameter (Form 1) if <mode> is True, or Ruled by Length (Form 0) else .
Standard_EXPORT Standard_Boolean | IsRuledByParameter () const
| Returns True if Form is 1 .
Standard_EXPORT Handle_IGESData_IGESEntity | FirstCurve () const
| returns the first curve
Standard_EXPORT Handle_IGESData_IGESEntity | SecondCurve () const
| returns the second curve
Standard_EXPORT Standard_Integer | DirectionFlag () const
| return the sense of direction 0 = Join first to first, last to last 1 = Join first to last, last to first
Standard_EXPORT Standard_Boolean | IsDevelopable () const
| returns True if developable else False
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESData_IGESEntity | theCurve1
Handle_IGESData_IGESEntity | theCurve2
Standard_Integer | theDirFlag
Standard_Integer | theDevFlag

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_RuledSurface::IGESGeom_RuledSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESGeom_RuledSurface::DirectionFlag | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_RuledSurface::FirstCurve | ( |  | ) | const

Standard_EXPORT const IGESGeom_RuledSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_RuledSurface::Init | ( | const Handle(IGESData_IGESEntity)& | aCurve,
|  | const Handle(IGESData_IGESEntity)& | anotherCurve,
|  | const Standard_Integer | aDirFlag,
|  | const Standard_Integer | aDevFlag
| ) |

Standard_EXPORT Standard_Boolean IGESGeom_RuledSurface::IsDevelopable | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESGeom_RuledSurface::IsRuledByParameter | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_RuledSurface::SecondCurve | ( |  | ) | const

Standard_EXPORT void IGESGeom_RuledSurface::SetRuledByParameter | ( | const Standard_Boolean | mode | ) |

## Field Documentation

Handle_IGESData_IGESEntity IGESGeom_RuledSurface::theCurve1`[private]`

Handle_IGESData_IGESEntity IGESGeom_RuledSurface::theCurve2`[private]`

Standard_Integer IGESGeom_RuledSurface::theDevFlag`[private]`

Standard_Integer IGESGeom_RuledSurface::theDirFlag`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_RuledSurface.hxx